Groovy 1.7.10

## org.codehaus.groovy.ast.stmt
[Java] Class Statement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement

    public class Statement
    extends ASTNode

Base class for any statement

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`Statement()`

Method Summary
`String` | `getStatementLabel()`
`boolean` | `isEmpty()`
`void` | `setStatementLabel(String label)`

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Statement

    public Statement()

Method Detail

### getStatementLabel

    public String getStatementLabel()

### isEmpty

    public boolean isEmpty()

### setStatementLabel

    public void setStatementLabel(String label)

Copyright © 2003-2010 The Codehaus. All rights reserved.